installing MtI under linux

Announcements, requests and support regarding the MAYA exporter
Post Reply
5 posts • Page 1 of 1
Sinister
Posts: 29
Joined: Mon Apr 14, 2008 3:35 am
Location: Ukraine / Kiev
Contact:

installing MtI under linux

Post by Sinister » Sat Dec 26, 2009 9:23 am

Hi all
may be i'm asking something stupid, but "how to set mti to work under linux?"
I downloaded archive. extracted it. there were 3 folders "prefs" "presets" and "scripts" and indigoPlugin.py
I put this folders into "~/maya/2009-x64/" as sad in instruction (~ in linux is homedir and 2009-x64 my maya version)
when i loaded indigoPlugin.py i got number of errors like
// Error: Cannot find file "mti_moduleTools.mel" for source statement.
// Warning: File not found: {HOMEDIR}/maya/{MAYAVER}/prefs/icons/MayaToIndigo/mti_Icon.bmp //
first of all i made symlink of version of maya from 2009-x64 to 2009, but it solved nothing
then i manually made folder ~/maya/2009-x64/prefs/icons/MayaToIndigo and put everything from icons/ here (strangely - in archive file mti_Icon.bmp is in prefs/icons/mti_Icon.bmp) but... it solved nothing..
then i noticed that file "mti_Icon.bmp" in archive have actually name "mti_icon.bmp" (witn lower case "i") but renaming also did nothing good..
from the other hand

Code: Select all

bash-3.1$ ls ~/maya/2009-x64/prefs/icons/MayaToIndigo/ | grep mti_Icon.bmp                                             
mti_Icon.bmp
(this means that system can locate mti_Icon.bmp in ~/maya/2009-x64/prefs/icons/MayaToIndigo/)

please, post your ideas
sorry for my english :)

User avatar
Phr0stByte
Posts: 395
Joined: Wed Nov 22, 2006 5:07 am
Location: Centreville, VA
Contact:

Re: installing MtI under linux

Post by Phr0stByte » Sat Dec 26, 2009 1:07 pm

Maybe you will have better luck using the installer located here: http://www.indigorenderer.com/forum/vie ... =11&t=4067

Sinister
Posts: 29
Joined: Mon Apr 14, 2008 3:35 am
Location: Ukraine / Kiev
Contact:

Re: installing MtI under linux

Post by Sinister » Sat Dec 26, 2009 11:22 pm

it works after symlinking from 2009-x64 to 2008-x64 (there is no choice "2009-x64" in installer)
but this exporter is not latest ..
i mean that Documentation section of this site says
Note that due to the current beta status, MtI 1.0.9_3 is the last MtI version marked as stable; it is available for download. However the next version differ a lot, you are now advised to use MtI 1.1.03 beta

User avatar
CTZn
Posts: 7240
Joined: Thu Nov 16, 2006 4:34 pm
Location: Paris, France

Re: installing MtI under linux

Post by CTZn » Tue Dec 29, 2009 3:57 am

Hi Sinister

Sorry for the delay, I hadn't a chance to get connected earlier, it's a matter of days before I meet my computer again.

I can barely guess what simlimking is, having strictly no experience with linux.

However, Maya can use files from any directory provided that the location was declared first.

I remember off the top of my heqd the variable names for scripts and icons, only that I'm hoping that you are aware on how to register variables with linux os.

icons: XBMLANGPATH
scripts: MAYA_SCRIPT_PATH
plugin: MAYA_PLUG_IN_PATH

I believe those variables names are cross-platform, either what specificities should be documented under the developer section of the Maya documentation. Values should be the full folder path where the related material should be found.

The documentation page will be revised and developed asap.
obsolete asset

User avatar
CTZn
Posts: 7240
Joined: Thu Nov 16, 2006 4:34 pm
Location: Paris, France

Re: installing MtI under linux

Post by CTZn » Fri Jan 01, 2010 2:26 am

Hi again, this time I'm back home.

Sinister, if possible remove all 1.0.9 files from the Maya paths. I'm guessing what you are doing (and simlinking sounds usefull), but let's have a crack at installing the latest version. This way you will benefit the updates and we'll make MtI installation on linux clear for all.

Also I'm not sure if Maya on linux can use bmp files for icons, I'll provide xpm's rather. Please test this by renaming one of the available xpm icon by the name Maya is requesting, and see if that propagates the error to the next bmp file.


MtI 1.0.9 is not supported anymore !

I recommend to always use the latest build


Versioning is going to change for the head revision number, updates will be easy to spot.

Last MtI versions come with a dynamic interface wich emphasis on Indigo specific parameters, enhancing readibility by a great amount. It is context sensitive in various ways, and should guide the new user. I'll give you the keys soon through documenting material.

Some of the MayaToIndigo interface (aka Indigo Palette) ways are, I reckon, experimental. As far as stability goes, the last update (about 10 days ago) comes with a new articulation addressing UI automatic updates, removing the need for manual updates.

I can not say that I do not need a few testers to polish the ball, you are just... wanted :)

One eigth of the planet has entered the new year already (no I will not tell you what I was doing for the new century in Barcelone at this hour), so

Happy New Year, have fun and take care !!!
obsolete asset

Post Reply
5 posts • Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest